import d from "../../../@babel/runtime/helpers/esm/extends.js";
import { forwardRef as h, createElement as r } from "react";
import { Primitive as n } from "../../react-primitive/dist/index.js";
const s = /* @__PURE__ */ h((e, t) => {
  const { children: o, width: i = 10, height: f = 5, ...c } = e;
  return /* @__PURE__ */ r(n.svg, d({}, c, {
    ref: t,
    width: i,
    height: f,
    viewBox: "0 0 30 10",
    preserveAspectRatio: "none"
  }), e.asChild ? o : /* @__PURE__ */ r("polygon", {
    points: "0,0 30,0 15,10"
  }));
}), m = s;
export {
  s as Arrow,
  m as Root
};
